#!/bin/bash
# install.sh
#
# An installation script for modern-CentOS Theme.
#
# By:
# Alain Reguera Delgado <alain.reguera@gmail.com>



# Instance Name which you want apply this theme to.
WIKIINSTANCE="mywiki"

# Location where your wiki instance is stored.
WIKILOCATION=/var/www/

# Define Theme Name.
THEMENAME="modern-CentOS"

# Copy Files.
cp -vr ${THEMENAME}/ ${WIKILOCATION}${WIKIINSTANCE}/htdocs/
cp -v ${THEMENAME}.py ${WIKILOCATION}${WIKIINSTANCE}/data/plugin/theme/
cp -v ${THEMENAME}-logo.png ${WIKILOCATION}${WIKIINSTANCE}/htdocs/common/

# File Permissions.
chown -vR apache.apache ${WIKILOCATION}${WIKIINSTANCE}/htdocs/${THEMENAME}/
chown -vR apache.apache ${WIKILOCATION}${WIKIINSTANCE}/data/plugin/theme/${THEMENAME}.py
chown -vR apache.apache ${WIKILOCATION}${WIKIINSTANCE}/htdocs/common/${THEMENAME}-logo.png
chmod -vR 750 ${WIKILOCATION}${WIKIINSTANCE}/htdocs/${THEMENAME}/
chmod -vR 750 ${WIKILOCATION}${WIKIINSTANCE}/data/plugin/theme/${THEMENAME}.py
chmod -vR 750 ${WIKILOCATION}${WIKIINSTANCE}/htdocs/common/${THEMENAME}-logo.png

# Modify wikiconfig.py to set theme personalized names.
sed -i -e "
	/logo_string/{
	s/moinmoin.png/${THEMENAME}-logo.png/
	s/MoinMoin Logo/CentOS/
	}
	/theme_default/s/'modern'/'${THEMENAME}'/
	" ${WIKILOCATION}${WIKIINSTANCE}/cgi-bin/*.py

# Done
echo ''
echo "*** The ${THEMENAME} moinmoin theme is now installed! ***";
echo ''
